<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="8.1.0" />
    <PackageReference Include="CSRedisCore" Version="3.6.6" />
    <PackageReference Include="log4net" Version="2.0.13" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="5.0.0" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.19" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Oracle.EntityFrameworkCore" Version="5.21.4" />
    <PackageReference Include="StackExchange.Redis" Version="2.2.88" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.2.14" /> 
    <PackageReference Include="System.ServiceModel.Duplex" Version="4.4.*" /> 
    <PackageReference Include="System.ServiceModel.Http" Version="4.4.*" /> 
    <PackageReference Include="System.ServiceModel.NetTcp" Version="4.4.*" /> 
    <PackageReference Include="System.ServiceModel.Security" Version="4.4.*" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\" />
    <Folder Include="Services\FM\" />
    <Folder Include="Services\LG\" />
    <Folder Include="Services\NW\" />
    <Folder Include="Utility\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\APT.BaseData.Domain\APT.BaseData.Domain.csproj" />
    <ProjectReference Include="..\APT.Data.Migrations\APT.Data.Migrations.csproj" />
    <ProjectReference Include="..\APT.Utility\APT.Utility.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="APT.Infrastructure.Api">
      <HintPath>..\dll\APT.Infrastructure.Api.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.Core">
      <HintPath>..\dll\APT.Infrastructure.Core.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.EF">
      <HintPath>..\dll\APT.Infrastructure.EF.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <WCFMetadata Include="Connected Services" />
  </ItemGroup>

</Project>
